Loading...
Searching...
No Matches
pcl::gpu::VFHEstimation Class Reference

Class for PPFRGBRegion estimation. More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::VFHEstimation:

## Public Types

enum | { BINS1_F1 = 45 , BINT2_F2 = 45 , BINS3_F3 = 45 , BINS4_F4 = 45 , BINS_VP = 128 }
Public Types inherited from pcl::gpu::Feature
using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray<PointType>
using | Normals = DeviceArray<NormalType>
using | Indices = DeviceArray<int>

## Public Member Functions

| VFHEstimation ()
void | setViewPoint (float vpx, float vpy, float vpz)
void | getViewPoint (float &vpx, float &vpy, float &vpz) const
void | setUseGivenNormal (bool use)
void | setNormalToUse (const NormalType &normal)
void | setUseGivenCentroid (bool use)
void | setCentroidToUse (const PointType &centroid)
void | setNormalizeBins (bool normalize)
void | setNormalizeDistance (bool normalize)
void | setFillSizeComponent (bool fill_size)
void | compute (DeviceArray< VFHSignature308 > &feature)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Class for PPFRGBRegion estimation.

*‍/

class PCL_EXPORTS PrincipalCurvaturesEstimation : public FeatureFromNormals { public:

    void compute(DeviceArray<PrincipalCurvatures>& features);

private: NeighborIndices nn_indices_; DeviceArray2D<float> proj_normals_buf; };

/**
** Class for Viewpoint Feature Histogramm estimation. *‍/

Definition at line 209 of file features.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
BINS1_F1 |
BINT2_F2 |
BINS3_F3 |
BINS4_F4 |
BINS_VP |

Definition at line 213 of file features.hpp.

## Constructor & Destructor Documentation

## VFHEstimation()

pcl::gpu::VFHEstimation::VFHEstimation | ( |  | ) |

## Member Function Documentation

## compute()

void pcl::gpu::VFHEstimation::compute | ( | DeviceArray< VFHSignature308 > & | feature | ) |

## getViewPoint()

void pcl::gpu::VFHEstimation::getViewPoint | ( | float & | vpx,
|  | float & | vpy,
|  | float & | vpz ) const

## setCentroidToUse()

void pcl::gpu::VFHEstimation::setCentroidToUse | ( | const PointType & | centroid | ) |

## setFillSizeComponent()

void pcl::gpu::VFHEstimation::setFillSizeComponent | ( | bool | fill_size | ) |

## setNormalizeBins()

void pcl::gpu::VFHEstimation::setNormalizeBins | ( | bool | normalize | ) |

## setNormalizeDistance()

void pcl::gpu::VFHEstimation::setNormalizeDistance | ( | bool | normalize | ) |

## setNormalToUse()

void pcl::gpu::VFHEstimation::setNormalToUse | ( | const NormalType & | normal | ) |

## setUseGivenCentroid()

void pcl::gpu::VFHEstimation::setUseGivenCentroid | ( | bool | use | ) |

## setUseGivenNormal()

void pcl::gpu::VFHEstimation::setUseGivenNormal | ( | bool | use | ) |

## setViewPoint()

void pcl::gpu::VFHEstimation::setViewPoint | ( | float | vpx,
|  | float | vpy,
|  | float | vpz )

The documentation for this class was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp